jQuery(document).ready(function() {
    var adTop = jQuery("#leftAd").position().top;
    var bottom = jQuery("#container").position().top + jQuery("#container").height();
    height = jQuery(window).height();
    var offset = height - 620;
    adTop = adTop - offset;
    jQuery(window).scroll(function() {
        if(jQuery(this).scrollTop() > adTop)
        {
            jQuery("#leftAd").css({'position' : 'fixed', 'top' : offset + 'px', 'margin-left' : '10px'});
        }
        else if(jQuery(this).scrollTop() < adTop)
        {
            jQuery("#leftAd").css({'position' : 'relative', 'top' : ''});
        }

        if((jQuery('#leftAd').position().top + 620) > bottom)
        {
            jQuery("#leftAd").css({'position' : 'absolute', 'top' : bottom - 620});
        }
    });
});
